clear all 
close all

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% DECOMMENTER LA LIGNE 44 APRES AVOIR PROGRAMMER LA FONCTION QUADRILLAGE
% ET COMMENTER LA LIGNE 45. @FC
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Parametres que l'on peut modifier
% lignes :
imin=-5;imax=6;
% colonnes
jmin=-3;jmax=7;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

hold on

% Affichage des numeros de lignes et colonnes
PrintNumbers(imin,imax,jmin,jmax,1,1)

% Affichage des 4 points
plot(jmin,imin,'r.','MarkerSize',20);
plot(jmin+1,imin+1,'m.','MarkerSize',20')

plot(jmax,imax,'g.','MarkerSize',20)
plot(jmax+1,imax+1,'b.','MarkerSize',20)

% Affichage de la legende
s1=sprintf('point (%d,%d)',jmin,imin);
s2=sprintf('point (%d,%d)',jmin+1,imin+1);
s3=sprintf('point (%d,%d)',jmax,imax);
s4=sprintf('point (%d,%d)',jmax+1,imax+1);
legendCell={s1,s2,s3,s4}; % tableau de cellules (cell) pour stocker les 4 chaines de caracteres
hl=legend(legendCell,'Location','SouthEast');
if isprop(hl,'autoupdate'), set(hl,'AutoUpdate','off');end % Deactivation de la propriete 'AutoUpdate'

% Affichage titre et textes
stitle=sprintf('quadrillage(%d,%d,%d,%d)',imin,imax,jmin,jmax);
title(stitle)
text((jmax+jmin)/2,imin-1,'colonne')
text(jmin-1,(imax+imin)/2,'ligne','Rotation',90)

%%%%%%%%%%%%%%%%%%%
% Fonction a implementer 
% Quadrillage(imin,imax,jmin,jmax);
disp('Il manque la fonction Quadrillage!!!')
%%%%%%%%%%%%%%%%%%%
axis equal
axis off

% Sauvegarde de la figure au format EPS et PNG
print -depsc2 Quadrillagefigure.eps
print -dpng Quadrillagefigure.png

hold on
% Affichage du carre noir
black(1,2)
stitle=sprintf('quadrillage(%d,%d,%d,%d) et black(1,2)',imin,imax,jmin,jmax);
title(stitle)
hold off

% Sauvegarde de la figure avec carre noir au format EPS et PNG
print -depsc2 QuadrillageBlackfigure.eps
print -dpng QuadrillageBlackfigure.png
